summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2012-12-09 17:00:46 +0100
committer dsomero2012-12-11 22:21:58 +0100
commitcb6ab5fa4311d37133401f2c1f2554aa85faa3c1 (patch)
tree361a7b78170afc1ca41d127a361912b1de925420
parent3c05e2e6c5421c3d0ab99a28b0102c3d6aaefa93 (diff)
downloadslackbuilds-cb6ab5fa4311d37133401f2c1f2554aa85faa3c1.tar.gz
libraries/gtksourceview3: Added (GTK+ framework code editing)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/gtksourceview3/README4
-rw-r--r--libraries/gtksourceview3/allow-deprecated-glib-symbols.patch10
-rw-r--r--libraries/gtksourceview3/gtksourceview3.SlackBuild109
-rw-r--r--libraries/gtksourceview3/gtksourceview3.info10
-rw-r--r--libraries/gtksourceview3/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/libraries/gtksourceview3/README b/libraries/gtksourceview3/README
new file mode 100644
index 0000000000..50bc5ddb9c
--- /dev/null
+++ b/libraries/gtksourceview3/README
@@ -0,0 +1,4 @@
+GtkSourceView is a portable C library that extends the standard GTK+
+framework for multiline text editing with support for configurable
+syntax highlighting, unlimited undo/redo, UTF-8 compliant caseless
+searching, printing and other features typical of a source code editor.
diff --git a/libraries/gtksourceview3/allow-deprecated-glib-symbols.patch b/libraries/gtksourceview3/allow-deprecated-glib-symbols.patch
new file mode 100644
index 0000000000..6191aadd17
--- /dev/null
+++ b/libraries/gtksourceview3/allow-deprecated-glib-symbols.patch
@@ -0,0 +1,10 @@
+--- configure.orig 2012-09-11 11:07:07.750998010 +0300
++++ configure 2012-09-11 11:07:25.848998458 +0300
+@@ -10955,7 +10955,6 @@
+
+ if test "$enable_deprecations" = "yes"; then
+ DISABLE_DEPRECATED_CFLAGS="\
+--DG_DISABLE_DEPRECATED \
+ -DGDK_DISABLE_DEPRECATED \
+ -DGTK_DISABLE_DEPRECATED \
+ -DGDK_PIXBUF_DISABLE_DEPRECATED \
diff --git a/libraries/gtksourceview3/gtksourceview3.SlackBuild b/libraries/gtksourceview3/gtksourceview3.SlackBuild
new file mode 100644
index 0000000000..5fdbf3f974
--- /dev/null
+++ b/libraries/gtksourceview3/gtksourceview3.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for gtksourceview
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gtksourceview3
+SRCNAM=gtksourceview
+VERSION=${VERSION:-3.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Code is still using G_CONST_RETURN which is deprecated in the
+# version of glib shipping with Slackware 14.0. Let's remove the
+# G_DISABLE_DEPRECATED from C preprocessor flags.
+patch -p0 <$CWD/allow-deprecated-glib-symbols.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-glade-catalog \
+ --build=$ARCH-slackware-linux
+
+# At the end of build process, the uninstalled gtksourceview.pc is
+# used. Let's make sure pkg-config can find it.
+PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$TMP/$PRGNAM-$VERSION make
+make install-strip DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog* HACKING INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gtksourceview3/gtksourceview3.info b/libraries/gtksourceview3/gtksourceview3.info
new file mode 100644
index 0000000000..e6c0bec534
--- /dev/null
+++ b/libraries/gtksourceview3/gtksourceview3.info
@@ -0,0 +1,10 @@
+PRGNAM="gtksourceview3"
+VERSION="3.4.2"
+HOMEPAGE="http://projects.gnome.org/gtksourceview/"
+DOWNLOAD="http://ftp.acc.umu.se/pub/gnome/sources/gtksourceview/3.4/gtksourceview-3.4.2.tar.xz"
+MD5SUM="c3589ee21e811bdc44091c3dc947ba4e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/libraries/gtksourceview3/slack-desc b/libraries/gtksourceview3/slack-desc
new file mode 100644
index 0000000000..6cd9f0f380
--- /dev/null
+++ b/libraries/gtksourceview3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtksourceview3: gtksourceview (a GTK+ framework for source code editing)
+gtksourceview3:
+gtksourceview3: GtkSourceView is a portable C library that extends the standard
+gtksourceview3: GTK+ framework for multiline text editing with support for
+gtksourceview3: configurable syntax highlighting, unlimited undo/redo, UTF-8
+gtksourceview3: compliant caseless searching, printing and other features
+gtksourceview3: typical of a source code editor.
+gtksourceview3:
+gtksourceview3: Homepage: http://projects.gnome.org/gtksourceview/
+gtksourceview3:
+gtksourceview3: